# $Revision: 1.95 $, $Date: 2010/04/12 19:25:02 $
Summary:	Multithreaded FTP client for X Window
Summary(es.UTF-8):	Cliente FTP multithreaded para el X Window
Summary(ja.UTF-8):	X Window System 用マルチスレッド FTP クライアント
Summary(pl.UTF-8):	Wielowątkowy klient FTP dla X Window
Summary(pt_BR.UTF-8):	Cliente FTP multithreaded para o X Window
Summary(ru.UTF-8):	Многонитевый FTP клиент для X Window
Summary(uk.UTF-8):	Багатонитковий FTP клієнт для X Window
Name:		gftp
Version:	2.0.19
Release:	2
Epoch:		2
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://gftp.seul.org/%{name}-%{version}.tar.gz
# Source0-md5:	4c0cab4b35e8666f5892b02125270a21
Patch0:		%{name}-pld.patch
Patch1:		%{name}-no_libnsl.patch
Patch2:		%{name}-configure_in.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-gtk1_check.patch
URL:		http://gftp.seul.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gFTP is a multithreaded FTP client for X Window written using GTK+. It
features simultaneous downloads, resuming of interrupted file
transfers, file transfer queues, downloading of entire directories,
FTP proxy support, remote directory caching, passive and non-passive
file transfers, drag-n-drop support, bookmarks menu, stop button, and
many more features.

%description -l es.UTF-8
Cliente FTP multithreaded para el X Window.

%description -l ja.UTF-8
gFTP は X Window System 用のマルチスレッド FTP クライアントです。
gFTP は、複数ファイルの同時ダウンロードや、中断した転送の
レジューム、複数のファイルのダウンロード予約、ディレクトリごとの
ダウンロード、 FTP サイトのブックマーク、 FTP サイトのディレクトリ
のキャッシュ、ローカルとリモートのファイルのパーミッションの変更、
ドラッグアンドドロップ、コネクションマネージャ、その他いろいろな
機能を持っています。

%description -l pl.UTF-8
gFTP jest wielowątkowym klientem FTP dla X Window wykorzystującym
bibliotekę GTK+. Pozwala na jednoczesne ściąganie wielu plików,
wznawianie przerwanych transferów, kolejkowanie przesyłanych plików,
ściąganie zawartości katalogów, możliwość pracy z wykorzystaniem FTP
proxy, ściąganie plików w trybie pasywnym i nie-pasywnym, drag-n-drop,
zarządzanie połączeniami i wiele innych możliwości.

%description -l pt_BR.UTF-8
O gftp é um cliente FTP multithreaded para o X Window escrito usando a
biblioteca GTK+. Permite transferir arquivos simultâneamente, continuar
transferências interrompidas, filas para transferências de arquivos e
um gerenciador de conexões muito bom e muitas outras características.

%description -l ru.UTF-8
gFTP - многонитевый FTP клиент для X Window написаный с использованием
GTK. Среди его возможностей одновременная загрузка многих файлов,
продолжение прерваных передач файлов, очереди на передачу, загрузка
целых каталогов, поддержка FTP прокси, кеш индексов удаленных
каталогов, передача файлов в пасивном и непасивном режимах, поддержка
"буксирования" файлов (drag-n-drop), меню закладок, кнопка останова и
много другого.

%description -l uk.UTF-8
gFTP є багатонитковим FTP клієнтом для X Window, написаним з
використанням GTK. Серед його можливостей одночасні завантаження
багатьох файлів, продовження перерваних передач файлів, черги на
передачу, завантаження цілих каталогів, підтримка FTP проксі, кеш
індексів віддалених каталогів, передача файлів в пасивному та
непасивному режимах, підтримка "буксування" файлів (drag-n-drop), меню
закладинок, кнопка зупинки та багато іншого.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f aclocal.m4 acinclude.m4
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-textport
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_desktopdir} \
	Iconsdir=%{_pixmapsdir}

mv -f $RPM_BUILD_ROOT%{_bindir}/gftp{-gtk,}

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO THANKS docs/USERS-GUIDE ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/gftp
%{_datadir}/gftp/COPYING
%{_datadir}/gftp/*.xpm
%config %{_datadir}/gftp/gftprc
%config %{_datadir}/gftp/bookmarks
%{_desktopdir}/gftp.desktop
%{_mandir}/man1/*
%{_pixmapsdir}/gftp.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gftp.spec,v $
Revision 1.95  2010/04/12 19:25:02  arekm
- release 2

Revision 1.94  2008/12/01 11:56:54  lisu
- up to 2.0.19
- locale_names.patch is outdated

Revision 1.93  2007/11/04 22:53:18  ankry
- sr@Latn -> sr@latin, rel. 5

Revision 1.92  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.91  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.90  2006/12/27 19:06:21  megabajt
- added %{__gettextize}, release 4

Revision 1.89  2006/12/23 18:10:49  arekm
- rel 3

Revision 1.88  2005/04/30 17:16:49  freetz
- disable gtk1 check (patch added), rel.2 for build with fixed .desktop

Revision 1.87  2005/02/27 11:21:11  darekr
- simplified %setup

Revision 1.86  2005/02/07 20:21:27  pawelb
- up to 2.0.18

Revision 1.85  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.84  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.83  2004/10/23 18:51:23  dzeus
- updated to 2.0.17, removed outdated sizeof-off_t.patch

Revision 1.82  2004/07/25 01:40:59  ankry
- cosmetic

Revision 1.81  2004/07/25 01:38:39  ankry
- no -> nb, rel. 5

Revision 1.80  2004/07/23 20:23:07  ankry
- rel 4

Revision 1.79  2004/03/19 23:46:26  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.78  2004/01/15 16:13:26  saq
- sizeof-off_t.patch: fix the "what's wrong with the filesizes" bug
- release 3, STBR for Ac

Revision 1.77  2003/11/30 20:11:15  troll
- corrected some descriptions
- moved .desktop file to %%{_desktopdir}
- rel 2

Revision 1.76  2003/11/09 18:18:33  wolf
- 2.0.16

Revision 1.75  2003/09/30 20:18:23  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.74  2003/08/21 21:48:42  luzik
 - updated to 2.0.15

Revision 1.73  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.72  2003/07/25 16:18:50  grzegol
- BR: openssl-devel

Revision 1.71  2003/07/25 12:52:17  freetz
- up to 2.0.15rc1
- added patches: configure_in, desktop patch (with a line for ankry's vi ;)
- updated pld.patch (new ftps)
- autoheader in/gettextize out
- --all-name to find_lang added

Revision 1.70  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.69  2003/05/25 05:47:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/03/08 22:06:44  ankry
- typo

Revision 1.67  2003/02/10 00:56:58  kloczek
- updated to 2.0.14: bug fixes,
- disable building term version (added --disable-textport to configure parameters),
- added pkgconfig to BuildRequires.

Revision 1.66  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.65  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.64  2002/08/03 22:11:55  kloczek
- updated to 2.0.13,
- use new %doc and merge translations from Kondara.

Revision 1.63  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.62  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.61  2002/04/25 16:22:51  arturs
fixed a small typo

Revision 1.60  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.59  2002/03/10 11:07:29  kloczek
- release 2: merge translations from KSI.

Revision 1.58  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.57  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2002/01/09 10:43:35  misiek
- updated to 2.0.11 (bugfixes)

Revision 1.54  2001/12/21 23:21:32  kloczek
- updated to 2.0.10 (fixes for SSH/SSH2 and other minor bugs; new/updated
  translations).

Revision 1.53  2001/11/24 08:15:53  kloczek
- updated to 2.0.9,
- added no_libnsl patch.

Revision 1.52  2001/10/05 23:18:17  kloczek
- release 2,
- added "rm -f missing on top %build.

Revision 1.51  2001/10/04 15:04:11  qboosh
- BuildRequires: autoconf,automake

Revision 1.50  2001/04/22 01:12:38  kloczek
- updated to final 2.0.8 (Epoch: 2).

Revision 1.49  2001/03/07 18:37:48  kloczek
- cosmetics.

Revision 1.48  2001/03/07 18:18:31  michuz
- updated to 2.0.9pre1

Revision 1.47  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.46  2000/10/25 06:52:35  kloczek
- release 3, Epoch 1 (for allow upgrade from RH 7).

Revision 1.45  2000/10/25 06:06:49  kloczek
- release 2: use new rpm automation.

Revision 1.44  2000/08/10 10:34:19  kloczek
- updated to 2.0.7b.

Revision 1.43  2000/07/25 06:11:26  kloczek
- updated to 2.0.7a.

Revision 1.42  2000/07/10 14:19:38  kloczek
- fixed %doc list.

Revision 1.41  2000/07/10 05:51:12  kloczek
- updated to 2.0.7.

Revision 1.40  2000/06/19 13:15:24  kloczek
- release 5,
- install man page in %%{_prefix}/man.

Revision 1.39  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.38  2000/05/29 17:27:46  kloczek
- bump release ro 4 for allow upgrade from RH 6.2.

Revision 1.37  2000/05/29 13:13:36  kloczek
- removed %%patch -p1.

Revision 1.36  2000/05/29 13:04:55  kloczek
- release 2,
- desktop file moved to Network/FTP.

Revision 1.35  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.34  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.33  2000/04/01 11:14:27  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.32  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.31  2000/02/22 17:03:54  michuz
- changed %%applnk path

Revision 1.30  1999/12/18 18:12:37  kloczek
- updated to 2.0.6a.

Revision 1.29  1999/12/10 20:20:34  pius
- added %{_datadir}/gftp/COPYING (required)

Revision 1.28  1999/12/10 19:36:44  pius
- updated to 2.0.6

Revision 1.27  1999/11/29 07:00:59  kloczek
- new pl translation.

Revision 1.26  1999/09/25 16:48:19  kloczek
- updated to 2.0.5,
- added using %%{find_lang} macro for include list .mo files to package,
- added "BuildRequires: gettext-devel" and other small updates neccessary
  for 2.0.5.

Revision 1.25  1999/09/04 10:10:43  pius
- cosmetics

Revision 1.24  1999/09/04 09:13:19  pius
- updated to 2.0.4,
- updated URL and Source url,
- simplifications in %install,
- cosmetics.

Revision 1.23  1999/09/04 09:08:04  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.22  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.21  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 26 1999 Piotr Czerwiński <pius@pld.org.pl>
  [2.0.2-1]
- updated to 2.0.2.

* Fri May 21 1999 Piotr Czerwiński <pius@pld.org.pl>
  [2.0.1-1]
- package is FHS 2.0 compliant,
- spec file rewritten for PLD use,
- based on spec written by Michael Fulbright <drmike@redhat.com>.
